Index: /BAORadio/libindi/libindi/BAOControl/.directory
===================================================================
--- /BAORadio/libindi/libindi/BAOControl/.directory	(revision 503)
+++ /BAORadio/libindi/libindi/BAOControl/.directory	(revision 504)
@@ -1,2 +1,5 @@
 [Dolphin]
-Timestamp=2010,11,5,22,3,10
+Timestamp=2010,11,8,3,1,35
+
+[Settings]
+ShowDotFiles=false
Index: /BAORadio/libindi/libindi/BAOControl/Makefile
===================================================================
--- /BAORadio/libindi/libindi/BAOControl/Makefile	(revision 503)
+++ /BAORadio/libindi/libindi/BAOControl/Makefile	(revision 504)
@@ -2,20 +2,26 @@
 #
 
-CC=g++
+CC = g++ 
+#CFLAGS = -g 
+#CXXFLAGS = -g
 
-BAOControl_objects =  baocontrol.o ClientSocket.o Socket.o filetools.o exception.o astro.o
+BAOcontrol_objects =  main.o baocontrol.o ClientSocket.o Socket.o filetools.o exception.o ../drivers/telescope/astro.o
 
 
-all : BAOControl
+all : BAOcontrol
 
 
-BAOControl: $(BAOControl_objects)
-	g++ -o BAOControl $(BAOControl_objects) -lpthread -lX11
+BAOcontrol: $(BAOcontrol_objects)
+	g++  -o BAOcontrol $(BAOcontrol_objects) -lpthread -lX11
 
-Socket: Socket.cpp
+Socket:  Socket.cpp
 ClientSocket: ClientSocket.cpp
-Astro: astro.cpp
+Astro: ../drivers/telescope/astro.cpp
 baocontrol: baocontrol.cpp
+main: main.cpp
 
 clean:
-	rm -f *.o *.cpp~ *.c~ *.h~ BAOControl
+	rm -f *.o *.cpp~ *.c~ *.h~ BAOcontrol
+
+install:
+	cp BAOcontrol /usr/bin
Index: /BAORadio/libindi/libindi/BAOControl/Socket.h
===================================================================
--- /BAORadio/libindi/libindi/BAOControl/Socket.h	(revision 503)
+++ /BAORadio/libindi/libindi/BAOControl/Socket.h	(revision 504)
@@ -13,7 +13,8 @@
 #include <arpa/inet.h>
 #include <iostream>
+#include "stdio.h"
 
 
-const int MAXHOSTNAME = 200;
+const int MAXHOSTNAME = 1000;
 const int MAXCONNECTIONS = 5;
 const int MAXRECV = 5000;
